#include <stdio.h>
#include "microclang.h"

const char* localString =  "local_pointer";

void test( CXSourceRange_ range, char *note )
{	int result = clang_getRangeEnd_(range);
	if(result == 0) 
	{	printf("That failed (%s)\n", note); }
	else 
	{	printf("That worked (%s)\n", note); }
}

int main()
{	CXSourceRange_ range1 = clang_getArbitraryRange_();
	test(range1, "library string");

	CXSourceRange_ range2 = {0};
	range2.ptr_data[0] = (void*)localString;
	test(range2, "local string");
}

